#pragma once
#include <map>
struct Fish_RedPackagelotteryCFGData
{
	//编号
	int mId;
	//红包道具
	int mRedPageItem;
	//红包数量（除以10）
	int mRedPageQuantity;
	//权重
	int mWeight;
};

class Fish_RedPackagelotteryCFG
{
public:
private:
	static std::auto_ptr<Fish_RedPackagelotteryCFG> msSingleton;
public:
	int GetCount();
	const Fish_RedPackagelotteryCFGData* GetData(int Id);
	const std::map<int, Fish_RedPackagelotteryCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_RedPackagelotteryCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_RedPackagelotteryCFGData> mMapData;
};
